Subject: bug#5195 closed by Eli Zaretskii <[email-masked]> (Re: bug#5195: 23.1; bad indentation in (elisp) example)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 02 Jan 2010 20:40:03 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5195: 23.1; bad indentation in (elisp) example

It has been closed by Eli Zaretskii <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Eli Zaretskii <[email-masked]> by
replying to this email.

-- 
5195: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5195
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5195: 23.1; bad indentation in (elisp) example
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>, [email-masked]
Date: Sat, 02 Jan 2010 22:37:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Drew Adams" <[email-masked]>
> Date: Sat, 2 Jan 2010 12:01:34 -0800
> Cc: [email-masked]
> 
> > > emacs -Q
> > > Go to (elisp)Example Major Modes
> > 
> > > The `emacs-lisp-mode-syntax-table' example is not indented
> > > correctly.  E.g.:
> > 
> > >    (while (< i ?0)
> > > (modify-syntax-entry i "_   " table)
> > > (setq i (1+ i)))
> > 
> > I can't reproduce this: the indentation is correct for me.
> 
> Well, it's as clear as day for me, in emacs -Q on Windows. Perhaps it's a
> platform problem.

No, it wasn't.  I fixed it.  Thanks for catching this.

I don't know why Yidong didn't see it; perhaps he was looking at the
Texinfo sources, where the example's indentation is indeed all dandy.
The problem was that this example used TABs, not spaces, for
indentation, which is generally a no-no in Texinfo (that's why Texinfo
mode sets indent-tabs-mode to nil).  When an Info file is produced,
makeinfo indents examples some more, and then indentation with TABs
gets screwed, of course.

Subject: 23.1; bad indentation in (elisp) example
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Sat, 12 Dec 2009 08:14:25 -0800

emacs -Q
Go to (elisp)Example Major Modes
 
The `emacs-lisp-mode-syntax-table' example is not indented
correctly.  E.g.:
 
   (while (< i ?0)
(modify-syntax-entry i "_   " table)
(setq i (1+ i)))

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-29 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'